Modbus Software, Driver and Libraries
Login

Operating System and Tool Compatibility

FieldTalk is compatible with the following operating systems, tools and architectures.

Important Note: If your platform is not listed, please check with us before placing an order.

Windows C++ Editions

Operating Systems
  • Windows 10, 8.1, 8, 7, Vista, XP
  • Windows Server 2016, 2012, 2008, 2003
  • Windows Embedded Compact 2013 (8.0), 7.0
  • Windows CE 6.0, 5.0
  • CPU Architectures
  • x86 (64-bit & 32-bit)
  • ARM, MIPS, SH4
  • Compiler
  • Microsoft Visual C++ 2017, 2015, 2013, 2012, 2010, 2008, 2005, 6.0
  • Microsoft eMbedded Visual C++ 4.0
  • CodeGear/Borland C++ Builder 2010, 2009, 2007, 2006, X, 6.0 - 3.0
  • Borland C++ compiler 5.5 - 5.3
  • Real-Time OS Editions

    Real Time OS
  • QNX Neutrino 7.0, 6.6, 6.5, 6.4, 6.3
  • QNX 4.25
  • VxWorks 6.9, 5.4
  • CPU Architectures
  • x86 (64-bit & 32-bit)
  • Aarch64, ARM
  • MIPS, Power PC (32-bit & 64-bit), SH4
  • Compiler
  • GNU gcc
  • Watcom C++ 10.6 (QNX 4 only)
  • Note: QNX 4 requires the Watcom C++ add-on and for MODBUS/TCP the TCP/IP toolkit.

    Commercial UNIX Editions

    Operating Systems
  • SUN Solaris 8/SunOS 5.8 or higher
  • HP-UX 11.11 or higher
  • SGI Irix 6.5 or higher
  • SCO/Openserver 3.2 or higher
  • DEC True 64/Digital UNIX V4.0
  • IBM AIX
  • CPU Architectures
  • Alpha
  • SPARC (32-bit & 64-bit)
  • MIPS
  • x86 (64-bit & 32-bit)
  • Compiler
  • SunPro C
  • xlC
  • MIPSpro C++
  • UDK C++
  • DEC CXX
  • aCC
  • GNU gcc
  • .NET Editions

    Operating Systems
  • Windows 10, 8.1, 8, 7, Vista, XP
  • Windows Server 2016, 2012, 2008, 2003
  • Windows Embedded Compact 2013, 8.0, 7.0
  • Windows CE 6.0, 5.0
  • .NET Core with NET Standard >= 1.6.0
  • .NET Framework 4.7, 4.6, 4.5, 4.0, 3.5, 3.0 and 2.0
  • .NET Compact Framework 3.9, 3.7, 3.5 and 2.0
  • CPU Architectures
  • x86 (64-bit & 32-bit)
  • ARM, MIPS, SH4
  • Compiler
  • Visual Studio 2017, 2015, 2013, 2012, 2010, 2008, 2005
  • Linux Editions

    Distros
  • Desktop and server Linux distros; including Ubuntu, Debian, Fedora, SUSE and others.
  • Embedded Linux platforms via cross-compilation; including Yocto, Linaro, Embedded Alley, KaeilOS, Lineo, MontaVista, Pengutronix, RidgeRun, TimeSys, Wind River, Little Blue Linux, SSV, Digi Embedded Linux, Embedded Debian and others.
  • Raspberry Pi, BeagleBoard, BeagleBone etc.
  • Kernel and Standard Libraries
  • Linux 4.x, 3.x, 2.6 and 2.4 kernels
  • Any GLIBC since 2.1
  • uCLinux 2.4
  • uClibc since 0.9.26
  • CPU Architectures
  • x86 (64-bit & 32-bit)
  • Aarch64, ARM
  • AVR32, BlackFin, ColdFire, Microblaze, MIPS, Power PC (32-bit & 64-bit), RZ/A1H, SH4, Xtensa, 68k
  • Compiler
  • GNU GCC 7.x, 6.x, 5.x, 4.x, 3.x, 2.72 or higher
  • Java Edition

    Java Platforms
  • Java SE 10, 9, 8, 7, 6, J2SE 5.0, 1.4
  • J2ME CDC 1.0.1 (JSR 36) w/ Foundation Profile (JSR 46)
  • J2ME CLDC 1.1 (JSR 139) w/ Mobile Information Device Profile 2.0 (MIDP) JSR 118 (limited to MODBUS/TCP, no serial line)
  • Serial Communications API
  • SerialPort from Solutions Consulting
  • SUN's javacomm 2.0
  • Note: Modbus RTU and ASCII require the installation of a Java Communications API in addition to the JRE.

    Delphi Edition

    Operating Systems
  • Windows 10, 8.1, 8, 7, Vista, XP
  • Windows Server 2016, 2012, 2008, 2003
  • CPU Architectures
  • x86 (64-bit & 32-bit)
  • Compiler
  • Embarcadero Delphi (Win32/Win64) Tokyo, Berlin, Seattle, XE8, XE7, XE6, XE5, XE4, XE3, XE2, XE, 2010
  • CodeGear Delphi (Win32) 2009, 2007
  • Borland Delphi (Win32) 2006, 2005, 7, 6, 5, 4, 3
  • Note: The Delphi Edition does not support the .NET framework, iOS, Android or OSX